//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bcee;

/**
 * BCEE
 * 
 * @author Frank Mnster
 * 
 */
public class Bcee { // NOPMD

	/**
	 * BCEE-Bank Name
	 */
	public final static String NAME = "BCEE"; //$NON-NLS-1$

	/**
	 * FAKE BCEE-Bank BLZ
	 */
	public final static String BLZ = "001"; //$NON-NLS-1$

	/**
	 * BCEE-Bank BIC
	 */
	public final static String BIC = "BCEELULLXXX"; //$NON-NLS-1$

	/**
	 * BCEE-Bank Login URL
	 */
	public final static String URL_LOGIN = "https://bcee.snet.lu/ssogate/xlogin"; //$NON-NLS-1$

	/**
	 * BCEE-Bank Home URL
	 */
	public final static String URL_HOME = "https://bcee.snet.lu/SNET3/Connection/Home"; //$NON-NLS-1$

	/**
	 * BCEE-Bank Logout URL
	 */
	public final static String URL_LOGOUT = "https://bcee.snet.lu/SNET3/Connection/Logoff"; //$NON-NLS-1$

	/**
	 * BCEE-Bank Kontobersicht URL
	 */
	public final static String URL_UEBERSICHT = "https://bcee.snet.lu/SNET3/Consultation/FinancialSituation"; //$NON-NLS-1$

	/**
	 * BCEE-Bank Eurotransfer URL
	 */
	public final static String URL_EURO_TRANSFER = "https://bcee.snet.lu/SNET3/Payments/EuroTransfers"; //$NON-NLS-1$

	/**
	 * Standardkonstruktor
	 */
	private Bcee() {
		super();
	}

}
